Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class TabListenerCollection

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<TabListener>
                  com.google.gwt.user.client.ui.TabListenerCollection

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<TabListener>, java.util.Collection<TabListener>, java.util.List<TabListener>, java.util.RandomAccess

Deprecated. Widgets should now manage their own handlers via `Widget.addDomHandler(H, com.google.gwt.event.dom.client.DomEvent.Type)`

    @Deprecated
    public class TabListenerCollection

extends java.util.ArrayList<TabListener>

A helper class for implementers of the `SourcesTabEvents` interface. This subclass of `ArrayList` assumes that all objects added to it will be of type `TabListener`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`TabListenerCollection()` Deprecated.

Method Summary
`boolean` | `fireBeforeTabSelected(SourcesTabEvents sender, int tabIndex)` Deprecated. Fires a beforeTabSelected event to all listeners.
`void` | `fireTabSelected(SourcesTabEvents sender, int tabIndex)` Deprecated. Fires a tabSelected event to all listeners.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode`

Methods inherited from class java.util.AbstractCollection
`containsAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode`

Constructor Detail

### TabListenerCollection

    public TabListenerCollection()

  Deprecated.

Method Detail

### fireBeforeTabSelected

    public boolean fireBeforeTabSelected(SourcesTabEvents sender,
                                         int tabIndex)

  Deprecated.
  Fires a beforeTabSelected event to all listeners.

  Parameters:
    `sender` - the widget sending the event
    `tabIndex` - the index of the tab being selected

### fireTabSelected

    public void fireTabSelected(SourcesTabEvents sender,
                                int tabIndex)

  Deprecated.
  Fires a tabSelected event to all listeners.

  Parameters:
    `sender` - the widget sending the event
    `tabIndex` - the index of the tab being selected

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD